Subject: Re: [L10N] fixed mismatched variable names

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 03 Jul 2021 13:43:59 +0200

On Sat, Jul 03 2021, Jiang Xin wrote:

> From: Peter Krefting <[email-masked]>
>
> On Tue, Jun 22 2021, Peter Krefting wrote:
>
>> Andrei also pointed out another typo in the Swedish translation, where
>> a configuration option had been copied incorrectly. Could you please
>> amend your patch to contain both these changes?
>>
>> ... ...
>>
>> @@ -2734,7 +2734,7 @@ msgstr "Felaktigt %s: \"%s\""
>>   #: config.c:2512
>>   #, c-format
>>   msgid "splitIndex.maxPercentChange value '%d' should be between 0 and 100"
>> -msgstr "värdet \"%d\" för splitIndex.maxPercentage borde vara mellan 0 och 100"
>> +msgstr "värdet \"%d\" för splitIndex.maxPercentChange borde vara mellan 0 och 100"
>> 
>>   #: config.c:2558
>>   #, c-format
>
> There are definitely more typos like this! In order to find mismatched
> git config variables and other mismatched variable names in the po file,
> I implemented a checker for such typos in the "git-po-helper" in commit:
>
>  * https://github.com/git-l10n/git-po-helper/commit/e44df847abb91227771560aca56719031f280068
>
> To find typos, run:
>
>     git-po-helper check-po XX.po
>
> All easy-to-fix typos can be fixed using the following patch, but there
> are still some typos need to be fixed by l10n team leaders for the
> following languages:
>
>  + bg.po 
>  + id.po
>  + tr.po
>
> Patch for easy-to-fix typos, cut here -- 8< --
>
> Subject: [PATCH] l10n: fixed mismatched config variables
>
> Andrei pointed out a typo in the Swedish translation, where a config
> variable name had been copied incorrectly.
>
> By introducing typo detection function in "git-po-helper", more typos
> were found. All easy-to-fix typos were fixed in this commit.

This seems like a good narrow fix for now, but I'd think a much better
fix would be to e.g. add something to the CI or a lintk check based on
"git help --config" that errored if any string meant for gettext
contains such a variable.

It's data that isn't meant to be translated at all, so we should be
passing it as %s to the format string.

I see there's at least one fix that fixes a reference to a function
internal to git.git, such a check wouldn't catch that, but that message
should be fixed too. We shouldn't have anything referencing code names
except the BUG() messages (which we don't translate)>